Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.ui.dataTypes
Class UIPercentValidator

    java.lang.Object
      |
      +--com.ibm.ulc.util.UlcObject
            |
            +--com.ibm.ulc.ui.UIProxy
                  |
                  +--com.ibm.ulc.ui.dataTypes.UIDataType
                        |
                        +--com.ibm.ulc.ui.dataTypes.UIPercentValidator

public class UIPercentValidator
extends UIDataType

See Also:
  Serialized Form

Field Summary
`protected int` | `fFractDigits` The number of digits allowed after the decimal point.
`protected static java.lang.String` | `validChars` The list of valid characters allowed as input

Fields inherited from class com.ibm.ulc.ui.UIProxy
`fConnection, fId`

Constructor Summary
`UIPercentValidator()` UIPercentValidator constructor comment.

Method Summary
`java.lang.Object` | `convertToObject(int phase, java.lang.String newString, java.lang.Object previousValue)` Convert the input string to a percentage value.
`java.lang.String` | `convertToString(java.lang.Object object, boolean forEditing)` Return the String represenation of the object or the empty string if object is null.
`java.lang.String` | `filterInput(java.lang.String newString)` The default implementation returns original string without modification.
`int` | `getFractionLength(java.lang.String s)`
`boolean` | `hasValidCharacters(java.lang.String s)`
`java.lang.String` | `limitFractionDigits(java.lang.String s)`
`java.lang.Double` | `parse(java.lang.String s)`
`void` | `restoreState(ORBConnection conn, Anything args)` This method is the first method called after this widget is instantiated.

Methods inherited from class com.ibm.ulc.ui.dataTypes.UIDataType
`filterInput, getCols, getDefaultValue`

Methods inherited from class com.ibm.ulc.ui.UIProxy
`add, add, addInstance, addMany, convert, convert, finalize, find, free, getManaged, handleRequest, isOptionalEventEnabled, printInstances, remove, remove, removeInstance, removeMany, sendEventULC, sendEventULC, sendEventULC, sendOptionalEventULC, sendOptionalEventULC, sendOptionalEventULC, sendULC, sendULC, setOptionalEventsEnabled, trouble`

Methods inherited from class com.ibm.ulc.util.UlcObject
`trouble2, trouble2Err, troubleErr`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fFractDigits

    protected int fFractDigits

  The number of digits allowed after the decimal point.

### validChars

    protected static java.lang.String validChars

  The list of valid characters allowed as input

Constructor Detail

### UIPercentValidator

    public UIPercentValidator()

  UIPercentValidator constructor comment.

Method Detail

### convertToObject

    public java.lang.Object convertToObject(int phase,
                                            java.lang.String newString,
                                            java.lang.Object previousValue)
                                     throws DataTypeConversionException

  Convert the input string to a percentage value. Throw an exception on error.
  Parameters:
    `phase` - int The current validation phase. The phase can be one of the following:

        	FORM_NOTIFICATION_IMMEADIATE : Typically no validation is performed in this case the input string is returned as is.
        	FORM_NOTIFICATION_ON_FOCUS_CHANGE
         	FORM_NOTIFICATION_ON_REQUEST

    `newString` - The String to convert.
  Returns:
    An object representing the converted String or null.
  Overrides:
    convertToObject in class UIDataType
  See Also:
    `IDataType.convertToObject(int, String, Object)`

### convertToString

    public java.lang.String convertToString(java.lang.Object object,
                                            boolean forEditing)

  Return the String represenation of the object or the empty string if object is null. The default implementation calls the toString() to return a string representation of the object. Subclasses should override this method to return the formatted data type as a String.
  Overrides:
    convertToString in class UIDataType
  See Also:
    `IDataType.convertToString(Object, boolean)`

### filterInput

    public java.lang.String filterInput(java.lang.String newString)

  The default implementation returns original string without modification.
  Overrides:
    filterInput in class UIDataType
  See Also:
    `IDataType.filterInput(String)`

### getFractionLength

    public int getFractionLength(java.lang.String s)

### hasValidCharacters

    public boolean hasValidCharacters(java.lang.String s)

### limitFractionDigits

    public java.lang.String limitFractionDigits(java.lang.String s)

### parse

    public java.lang.Double parse(java.lang.String s)

### restoreState

    public void restoreState(ORBConnection conn,
                             Anything args)

  This method is the first method called after this widget is instantiated. All widget specific initialization must take place in this method. All the parameters necessary to initialize this widget are specified in the arguments. Subclasses implementing this method must call the superclass implementation as well.
  Parameters:
    `conn` - the `UlcConnection` in which this operation is performed
    `args` - the `Anything` containing the optional initialization parameters
  Overrides:
    restoreState in class com.ibm.ulc.ui.UIProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD